from setuptools import setup

setup(
        name='piket',
        version='0.0.2',

        classifiers=[
            'Development Status :: 2 - Pre-Alpha',
            'License :: OSI Approved :: MIT License',
            'Programming Language :: Python :: 3'
            'Programming Language :: Python :: 3 :: Only',
        ],

        url='https://git.maartenberg.nl/maarten/piket',
        author='Maarten van den Berg',
        author_email='maartenberg1+pypi@gmail.com',

        license='MIT',
        packages=['piket_client', 'piket_server'],

        scripts=[
            'bin/piket-server',
            'bin/piket-server-dev',
        ],

        entry_points={
            'console_scripts': [
                'piket-client=piket_client.gui:main',
                'piket-seed=piket_server.seed:main',
            ],
        },

        install_requires=[
        ],

        extras_require={
            'dev': [
                'black',
                'pylint',
            ],
            'server': [
                'Flask',
                'SQLAlchemy',
                'Flask-SQLAlchemy',
                'alembic',
            ],
            'client': [
                'PySide2',
                'qdarkstyle@https://github.com/ColinDuquesnoy/QDarkStyleSheet/tarball/d089f12f674c78285302e509745a68cc3fa4bb3b#sha256=83902ddd331b61036568c2d179fc302e5f448b5c6b2e2bd3dec4ffb76725c113',
                'requests',
                'simpleaudio',
            ],
            'osk': [
                'dbus-python',
            ],
        },

        include_package_data=True,
        zip_safe=False
)
